summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2013-02-06 04:08:44 (GMT)
committer Robby Workman <rworkman@slackbuilds.org>2013-02-06 04:40:19 (GMT)
commit3dcfce16a50edf38b5824154ceb974788fb26424 (patch)
tree836016fc9705f2648e4fbc64e97d653b793ac189
parent4a4cfcf30ddbc69ba404df1ce9a8eb7ac9def533 (diff)
downloadslackbuilds-3dcfce16a50edf38b5824154ceb974788fb26424.tar.gz
slackbuilds-3dcfce16a50edf38b5824154ceb974788fb26424.tar.xz
perl/perl-data-dump: Added (pretty printing of data structures)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--perl/perl-data-dump/.perl-data-dump.SlackBuild.swpbin0 -> 12288 bytes
-rw-r--r--perl/perl-data-dump/README11
-rw-r--r--perl/perl-data-dump/perl-data-dump.SlackBuild84
-rw-r--r--perl/perl-data-dump/perl-data-dump.info10
-rw-r--r--perl/perl-data-dump/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/perl/perl-data-dump/.perl-data-dump.SlackBuild.swp b/perl/perl-data-dump/.perl-data-dump.SlackBuild.swp
new file mode 100644
index 0000000..6b7741a
--- /dev/null
+++ b/perl/perl-data-dump/.perl-data-dump.SlackBuild.swp
Binary files differ
diff --git a/perl/perl-data-dump/README b/perl/perl-data-dump/README
new file mode 100644
index 0000000..7aa7cab
--- /dev/null
+++ b/perl/perl-data-dump/README
@@ -0,0 +1,11 @@
+perl-data-dump (Data::Dump - Pretty printing of data structures)
+
+This module provide a few functions that traverse their argument and
+produces a string as its result. The string contains Perl code that,
+when evaled, produces a deep copy of the original arguments.
+
+The main feature of the module is that it strives to produce output that
+is easy to read.
+
+Note: This is not the same thing as Data::Dumper (which is already
+included in Slackware's perl package).
diff --git a/perl/perl-data-dump/perl-data-dump.SlackBuild b/perl/perl-data-dump/perl-data-dump.SlackBuild
new file mode 100644
index 0000000..a8e0999
--- /dev/null
+++ b/perl/perl-data-dump/perl-data-dump.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/bash
+
+# Slackware build script for perl-data-dump
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=perl-data-dump
+VERSION=${VERSION:-1.21}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=Data-Dump
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README Changes $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-data-dump/perl-data-dump.info b/perl/perl-data-dump/perl-data-dump.info
new file mode 100644
index 0000000..4ce5dee
--- /dev/null
+++ b/perl/perl-data-dump/perl-data-dump.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-data-dump"
+VERSION="1.21"
+HOMEPAGE="http://search.cpan.org/~gaas/Data-Dump-1.21/lib/Data/Dump.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Data-Dump-1.21.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="5de5616e29fd0626a8a5966a2be85628"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/perl/perl-data-dump/slack-desc b/perl/perl-data-dump/slack-desc
new file mode 100644
index 0000000..5a3944d
--- /dev/null
+++ b/perl/perl-data-dump/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-data-dump: perl-data-dump (Data::Dump - Pretty printing of data structures)
+perl-data-dump:
+perl-data-dump: This module provide a few functions that traverse their argument and
+perl-data-dump: produces a string as its result. The string contains Perl code that,
+perl-data-dump: when evaled, produces a deep copy of the original arguments.
+perl-data-dump:
+perl-data-dump: The main feature of the module is that it strives to produce output
+perl-data-dump: that is easy to read.
+perl-data-dump:
+perl-data-dump:
+perl-data-dump: